<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>30.35</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
    <style>
        .input-text{
            background-color: rgba(22, 24, 34, 0.08);
            border-radius: 2px;
        }
        .box {
            width: 400px;
            height: 540px;
            border: 0.5px solid red;
            padding: 20px 30px;
        }
        .btn-medium {
            width: 130px;
        }
    </style>
</head>
<body>
    <div class="container box">
        <div class="form">
                <h1><b>Sign Up</b></h1>
                <p>Please fill in this form to create an account</p><hr>
            <div class="row form-group mt-4">
                <div class="col-sm-6 pl-0">
                    <input type="text" class="form-control input-text" placeholder="First Name" id="inp-firstname">
                </div>
                <div class="col-sm-6 p-0">
                    <input type="text" class="form-control input-text" placeholder="Last Name" id="inp-lastname">
                </div>
            </div>
            <div class="row form-group">
                <input type="text" class="form-control input-text" placeholder="Email" id="inp-email">
            </div>
            <div class="row form-group">
                <input type="password" class="form-control input-text" placeholder="Password" id="inp-password">
            </div>
            <div class="row form-group">
                <input type="password" class="form-control input-text" placeholder="Confirm Password" id="inp-confirm">
            </div>
            <div class="row d-flex mb-4">
                <input type="checkbox" id="inp-checkbox">
                <p class="mb-0 pl-2">I accept the <a href="#">Term of Use</a> & <a href="#">Privacy Policy</a></p>
            </div>
        </div>
        <div class="row">
            <button class="btn btn-info btn-medium" id="btn-signup">Sign Up</button>
        </div>
    </div>
</body>
<script>
/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
/*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
$("#btn-signup").click(function () {
    var vSingUpObj = {
        firstName: "",
        lastName: "",
        email: "",
        password: "",
        confirmPassword: "",
        checked: ""
    };
    getSignUpObj(vSingUpObj);
    if(validateSignUpObj(vSingUpObj) === 1){
        showSignUpObj(vSingUpObj);
    }
})
/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
function getSignUpObj(paramObj) {
    paramObj.firstName = $("#inp-firstname").val().trim();
    paramObj.lastName = $("#inp-lastname").val().trim();
    paramObj.email = $("#inp-email").val().trim();
    paramObj.password = $("#inp-password").val().trim();
    paramObj.confirmPassword = $("#inp-confirm").val().trim();
    paramObj.checked = $("#inp-checkbox:checked").val();
}
function validateSignUpObj(paramObj) {
    if(paramObj.firstName === "" ){
        alert("nhập firstname ... ");
    }else if (paramObj.lastName === "") {
        alert("nhập lastname ...") 
    }else if( paramObj.email === "" ){
        alert("Nhập email  ... ")
    }else if (paramObj.password === "") {
        alert("nhập password ...");
    }else if (paramObj.confirmPassword === "") {
        alert("nhập confirm password ...") 
    }else if (paramObj.checked === "") {
        alert("chưa chấp nhận điều khoản ...");
    }else return 1
}

function showSignUpObj(paramObj) {
    console.log(paramObj);
}

</script>
</html>